# Class DataMigrationService | EchoHub Documentation

# Class DataMigrationService

Namespace
  EchoHub.Server.Setup

Assembly
  EchoHub.Server.dll

    public static class DataMigrationService

Inheritance
  object
  DataMigrationService

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### AnsiToColorTags(string)

Convert ANSI escape codes to printable color tags. \x1b[38;2;R;G;Bm → {F:RRGGBB}, \x1b[48;2;R;G;Bm → {B:RRGGBB}, \x1b[0m → {X}

    public static string AnsiToColorTags(string text)

#### Parameters

`text` string

#### Returns

string

### RunAsync(IServiceProvider)

    public static Task RunAsync(IServiceProvider services)

#### Parameters

`services` IServiceProvider

#### Returns

Task